PDA

Visualizza la versione completa : slack, kde3.2, aggiornam pacchetti


squid
30-04-2004, 18:35
Ciao a tutti,
Ho una slack9.1
Ho provato un po' di tempo fa il kde3.2, che stupendo.
Ho deciso per che sarebbe meglio istallarlo con pi logica e/o criterio!! Quindi, come devo fare?
Cio, io prima facevo semplicemente ./configure && make && make install.

Ma non poco... ortodosso?

thx to everytutti.

ciauz

side-server
30-04-2004, 19:55
la via pi semplice come sempre scaricare i pacchetti aggiornati (tgz) e aggiornarli tramite upgradepkg oppure usare il pkgmanager swaret. se fai una ricerca nel forum trovi tutte le info di cui necessiti dato che un argomento gi trattato.

ciao ciao

squid
30-04-2004, 21:29
ok thx...
ora cerco.

Siddhartha
30-04-2004, 22:35
con linux & co. di questo mese esce un dvd con kde3.2 pacchettizzato per le maggiori distro (fedora, debian, slack)!
compra la rivista ed una volta posizionatoti nella directory che contiene i files *.tgz per slack dai semplicemente

#upgradepkg *.tgz

chiaramente devi essere loggato root ed in init3! :)

:ciauz:

side-server
30-04-2004, 22:53
Originariamente inviato da Siddhartha

chiaramente devi essere loggato root ed in init3!

il runlevel non importante, anche se al quarto va bene, basta che riavvia X dopo aver aggiornato i pacchetti.

ciao ciao

Siddhartha
01-05-2004, 11:43
Originariamente inviato da side-server
il runlevel non importante, anche se al quarto va bene, basta che riavvia X dopo aver aggiornato i pacchetti.

ciao ciao


la prima volta che ho aggiornato KDE mi trovavo in X e alla chiusura ottenni numerosi errori; al riavvio invece numerose applicazioni crashavano: reinstallai sotto init3 e tutto and bene!

probabilmente stato solo un caso e sono stato sfigato io! :)

makbell
01-05-2004, 16:22
:tongue: con la Slack l'ho fatto dal dvd di Linux & C. con Upgradepkg ed andato tutto liscio ( a parte che ho dovuto reinstallare kdei18n... per la lingua italica ).
Byez!!! :ciauz:

squid
02-05-2004, 09:22
No... scusate...
Io avevo i pacchetti del kde *.tar.bz2, quindi li ho estratti nelle loro cartelle per fare i pacchetti *.tar.gz. con makepkg. Giusto?

Poi ho eliminato tutti i pacchetti kde* nella directory /var/log/package con removepkg /var/log/package/kde* per poi dare un installpkg *.tgz.
Allora...
1- non posso fare un upgradepkg perch mi dice che i nomi non combaciano, essendo questi pacchetti kde-3.2.0 e gli altri kde-?.4.?.
2-ho fatto una fagianata a creare i pacchetti dalle cartelle decompresse?

-->>> Una volta fatto tutto ci, e una volta riavviato il pc, kde NON FUNZIONA! Cio, non esiste nemmeno startkde!
Come mai? -> ci succede anche compilando tutti i pacchetti con ./configure && make && make install.
Ma normale?

Aiuto!
Thx
Squid

Wave
02-05-2004, 09:46
ti vorresti compilare tutti i pacchetti a manina e tasformarli in tgz per poi installarli con installpkg...???per me follia.....

installa swaret e lascia che se ne occupi lui....o se preprio swaret non ti va gi scarichi i pacchetti tgz di kde 3.2 e li metti in una cartella...entri nella cartella come root e dai upgradepkg *.tgz

ciao

Siddhartha
02-05-2004, 10:45
le soluzioni sono 2:
1) se hai una connessione veloce, lanci swaret e fai l'upgrade online!
2) compri linux&co come gi suggerito e hai tutti i pacchetti slack gi compilati!


strano che upgradepkg non vada...in ogni caso per far in modo che aggiorni pacchetti con il nome diverso non devi far altro che

#upgradepkg nuovopacchetto%vecchiopacchetto

(nb: la sintassi potrebbe essere sbagliata, quindi consulta upgradepkg --help)! :)

Loading